## AgsRecallAudioSignal

AgsRecallAudioSignal — The recall base class of dynamic audio signal context

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsRecallAudioSignal * | ags_recall_audio_signal_new ()

## Properties

AgsAudioSignal * | destination | Read / Write
AgsAudioSignal * | source | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudioSignal
                ├── AgsFxAnalyseAudioSignal
                ├── AgsFxBufferAudioSignal
                ├── AgsFxNotationAudioSignal
                ├── AgsFxEnvelopeAudioSignal
                ├── AgsFxEq10AudioSignal
                ├── AgsFxHighPassAudioSignal
                ├── AgsFxLadspaAudioSignal
                ├── AgsFxLfoAudioSignal
                ├── AgsFxLowPassAudioSignal
                ├── AgsFxPatternAudioSignal
                ├── AgsFxPeakAudioSignal
                ├── AgsFxPlaybackAudioSignal
                ├── AgsFxTremoloAudioSignal
                ├── AgsFxTwoPassAliaseAudioSignal
                ├── AgsFxVolumeAudioSignal
                ╰── AgsFxWahWahAudioSignal

## Includes

    #include <ags/audio/ags_recall_audio_signal.h>

## Description

AgsRecallAudioSignal acts as dynamic audio signal recall. It does audio processing for audio signal context.

## Functions

### ags_recall_audio_signal_new ()

    AgsRecallAudioSignal *
    ags_recall_audio_signal_new ();

Creates an AgsRecallAudioSignal.

#### Returns

a new AgsRecallAudioSignal.

Since: 3.0.0

## Property Details

### The `“destination”` property

      “destination”              AgsAudioSignal *

The destination audio signal

Owner: AgsRecallAudioSignal

Flags: Read / Write

Since: 3.0.0

### The `“source”` property

      “source”                   AgsAudioSignal *

The source audio signal

Owner: AgsRecallAudioSignal

Flags: Read / Write

Since: 3.0.0